﻿@model Product
@{
    ViewData["Title"] = "Delete";
}

<div class="row">

    @foreach (ProductImages productImages in Model.ProductImages)
    {
        <div class="col-3 grid-margin stretch-card">
            <div class="card">
                <div class="card-body">
                    <img src="~/assets/images/product/@productImages.Images" width="150" height="200" />

                </div>
            </div>
        </div>
    }

</div>

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Detail</h4>
                <div class="table-responsive pt-3">
                    <table class="table table-dark">
                        <thead>
                            <tr>
                                <th>
                                    Image
                                </th>
                                <th>
                                    Name
                                </th>
                                <th>
                                    Price
                                </th>
                                <th>
                                    Discount
                                </th>
                                <th>
                                    Brand
                                </th>
                                <th>
                                    ProductCode
                                </th>
                                <th>
                                    Count
                                </th>
                                <th>
                                    Rate
                                </th>
                                <th>
                                    Categories
                                </th>
                                <th>
                                    Setting
                                </th>

                            </tr>
                        </thead>
                        <tbody>

                            <tr>
                                <td>
                                    <img src="~/assets/images/product/@Model.ProductImages.FirstOrDefault().Images" alt="Alternate Text" />
                                </td>
                                <td>
                                    @Model.Name
                                </td>
                                <td>
                                    @Model.Price
                                </td>
                                <td>
                                    @Model.Discount
                                </td>
                                <td>
                                    @Model.Brand
                                </td>

                                <td>
                                    @Model.ProductCode
                                </td>
                                <td>
                                    @Model.Count
                                </td>
                                <td>
                                    @Model.Rate
                                </td>
                                <td>
                                    <ul>
                                        @*<li>Main Category:@Model.ProductCategories.ElementAt(0).Category.Name</li>
                                        @if (Model.ProductCategories.Count() > 1)
                                        {
                                            <li>Child Category:@Model.ProductCategories.ElementAt(1).Category.Name</li>
                                        }*@
                                    </ul>
                                </td>

                            </tr>


                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-6 d-flex align-items-stretch">
        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <form class="forms-sample" method="post">
                            <button type="submit" class="btn btn-danger mr-2">Delete</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-6 d-flex align-items-stretch">
        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <a asp-action="Index">Go Back</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

